# $Revision: 1.19 $, $Date: 2011/01/07 19:07:43 $
Summary:	XF86VidMode extension headers
Summary(pl.UTF-8):	Pliki nagłówkowe rozszerzenia XF86VidMode
Name:		xorg-proto-xf86vidmodeproto
Version:	2.3.1
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/xf86vidmodeproto-%{version}.tar.bz2
# Source0-md5:	e793ecefeaecfeabd1aed6a01095174e
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XF86VidMode (XFree86 Video Mode) extension defines a protocol for
dynamically configuring modelines and gamma.

%description -l pl.UTF-8
Rozszerzenie XF86VidMode (XFree86 Video Mode) definiuje protokół do
dynamicznej konfiguracji linii opisujących tryb (modeline) oraz
korekcji gamma.

%package devel
Summary:	XF86VidMode extension headers
Summary(pl.UTF-8):	Pliki nagłówkowe rozszerzenia XF86VidMode
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel

%description devel
XF86VidMode (XFree86 Video Mode) extension defines a protocol for
dynamically configuring modelines and gamma.

%description devel -l pl.UTF-8
Rozszerzenie XF86VidMode (XFree86 Video Mode) definiuje protokół do
dynamicznej konfiguracji linii opisujących tryb (modeline) oraz
korekcji gamma.

%prep
%setup -q -n xf86vidmodeproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_includedir}/X11/extensions/xf86vm*.h
%{_pkgconfigdir}/xf86vidmodeproto.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-proto-xf86vidmodeproto.spec,v $
Revision 1.19  2011/01/07 19:07:43  qboosh
- updated to 2.3.1

Revision 1.18  2010/11/10 17:44:33  shadzik
- rel 2

Revision 1.17  2009/10/03 21:23:42  qboosh
- util-macros version
- XF86VidMode is an extension

Revision 1.16  2009/10/02 06:32:44  arekm
- up to 2.3

Revision 1.15  2009/09/04 09:58:41  arekm
- up to 2.2.99.1

Revision 1.14  2009/09/04 09:49:21  arekm
- individual url

Revision 1.13  2008/07/27 22:18:45  arekm
- release 2

Revision 1.12  2007-02-12 22:09:25  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.10  2006/02/03 20:26:25  pluto
- release 1.

Revision 1.9  2005/12/23 10:19:19  qboosh
- sources from X11R7.0 release

Revision 1.8  2005/12/20 10:53:20  qboosh
- 2.2.2 (X11R7.0-RC4)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 12:51:06  qboosh
- BR: autoconf >= 2.57

Revision 1.5  2005/10/20 12:13:37  qboosh
- 2.2.1 (X11R7.0-RC1)

Revision 1.4  2005/08/27 19:32:50  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/27 16:12:43  qboosh
- cleanups

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs

* Sat Aug 13 2005 10:08:35  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix}
- release 0.02

* Fri Aug  5 2005 21:15:15  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
